org.apache.poi.hwpf.model.types

## Class TLPAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.TLPAbstractType

- Direct Known Subclasses:
    TableAutoformatLookSpecifier

      @Internal
      public abstract class TLPAbstractType
      extends java.lang.Object

  Table Autoformat Look sPecifier (TLP).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `field_1_itl`
    `protected byte` | `field_2_tlp_flags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLPAbstractType()`
    `TLPAbstractType(TLPAbstractType other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillFields(byte[] data, int offset)`
    `short` | `getItl()` Get the itl field for the TLP record.
    `int` | `getSize()` Size of record (exluding 4 byte header)
    `byte` | `getTlp_flags()` Get the tlp_flags field for the TLP record.
    `boolean` | `isFBestFit()` When == 1, do best fit from the selected table look
    `boolean` | `isFBorders()` When == 1, use the border properties from the selected table look
    `boolean` | `isFColor()` When == 1, use the color from the selected table look
    `boolean` | `isFFont()` When == 1, use the font from the selected table look
    `boolean` | `isFHdrRows()` When == 1, apply properties from the selected table look to the header rows in the table
    `boolean` | `isFLastRow()` When == 1, apply properties from the selected table look to the last row in the table
    `boolean` | `isFShading()` When == 1, use the shading properties from the selected table look
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setFBestFit(boolean value)` Sets the fBestFit field value.
    `void` | `setFBorders(boolean value)` Sets the fBorders field value.
    `void` | `setFColor(boolean value)` Sets the fColor field value.
    `void` | `setFFont(boolean value)` Sets the fFont field value.
    `void` | `setFHdrRows(boolean value)` Sets the fHdrRows field value.
    `void` | `setFLastRow(boolean value)` Sets the fLastRow field value.
    `void` | `setFShading(boolean value)` Sets the fShading field value.
    `void` | `setItl(short field_1_itl)` Set the itl field for the TLP record.
    `void` | `setTlp_flags(byte field_2_tlp_flags)` Set the tlp_flags field for the TLP record.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_itl

          protected short field_1_itl

    - #### field_2_tlp_flags

          protected byte field_2_tlp_flags

  - ### Constructor Detail

    - #### TLPAbstractType

          public TLPAbstractType()

    - #### TLPAbstractType

          public TLPAbstractType(TLPAbstractType other)

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSize

          public int getSize()

      Size of record (exluding 4 byte header)

    - #### getItl

          public short getItl()

      Get the itl field for the TLP record.

    - #### setItl

          public void setItl(short field_1_itl)

      Set the itl field for the TLP record.

    - #### getTlp_flags

          public byte getTlp_flags()

      Get the tlp_flags field for the TLP record.

    - #### setTlp_flags

          public void setTlp_flags(byte field_2_tlp_flags)

      Set the tlp_flags field for the TLP record.

    - #### setFBorders

          public void setFBorders(boolean value)

      Sets the fBorders field value. When == 1, use the border properties from the selected table look

    - #### isFBorders

          public boolean isFBorders()

      When == 1, use the border properties from the selected table look
      Returns:
        the fBorders field value.

    - #### setFShading

          public void setFShading(boolean value)

      Sets the fShading field value. When == 1, use the shading properties from the selected table look

    - #### isFShading

          public boolean isFShading()

      When == 1, use the shading properties from the selected table look
      Returns:
        the fShading field value.

    - #### setFFont

          public void setFFont(boolean value)

      Sets the fFont field value. When == 1, use the font from the selected table look

    - #### isFFont

          public boolean isFFont()

      When == 1, use the font from the selected table look
      Returns:
        the fFont field value.

    - #### setFColor

          public void setFColor(boolean value)

      Sets the fColor field value. When == 1, use the color from the selected table look

    - #### isFColor

          public boolean isFColor()

      When == 1, use the color from the selected table look
      Returns:
        the fColor field value.

    - #### setFBestFit

          public void setFBestFit(boolean value)

      Sets the fBestFit field value. When == 1, do best fit from the selected table look

    - #### isFBestFit

          public boolean isFBestFit()

      When == 1, do best fit from the selected table look
      Returns:
        the fBestFit field value.

    - #### setFHdrRows

          public void setFHdrRows(boolean value)

      Sets the fHdrRows field value. When == 1, apply properties from the selected table look to the header rows in the table

    - #### isFHdrRows

          public boolean isFHdrRows()

      When == 1, apply properties from the selected table look to the header rows in the table
      Returns:
        the fHdrRows field value.

    - #### setFLastRow

          public void setFLastRow(boolean value)

      Sets the fLastRow field value. When == 1, apply properties from the selected table look to the last row in the table

    - #### isFLastRow

          public boolean isFLastRow()

      When == 1, apply properties from the selected table look to the last row in the table
      Returns:
        the fLastRow field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.